commit bda2ddcfb1a4902c6fa9b6691eecc1230eb7dbcf
Author: Klaus Wenninger <klaus.wenninger@aon.at>
Date:   Thu May 4 23:08:40 2017 +0200

    Test: pengine: update regression tests for probes of guest-connections

diff --git a/pengine/test10/bug-cl-5247.dot b/pengine/test10/bug-cl-5247.dot
index 0ab78932e..44f788dce 100644
--- a/pengine/test10/bug-cl-5247.dot
+++ b/pengine/test10/bug-cl-5247.dot
@@ -89,6 +89,9 @@ digraph "g" {
 "pgsql_stop_0 pgsr02" -> "all_stopped" [ style = bold]
 "pgsql_stop_0 pgsr02" -> "msPostgresql_stopped_0" [ style = bold]
 "pgsql_stop_0 pgsr02" [ style=bold color="green" fontcolor="orange"]
+"pgsr01_monitor_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
+"pgsr02_monitor_0 bl460g8n3" -> "pgsr02_stop_0 bl460g8n4" [ style = bold]
+"pgsr02_monitor_0 bl460g8n3" [ style=bold color="green" fontcolor="black"]
 "pgsr02_stop_0 bl460g8n4" -> "all_stopped" [ style = bold]
 "pgsr02_stop_0 bl460g8n4" -> "prmDB2_stop_0 bl460g8n4" [ style = bold]
 "pgsr02_stop_0 bl460g8n4" [ style=bold color="green" fontcolor="black"]
diff --git a/pengine/test10/bug-cl-5247.summary b/pengine/test10/bug-cl-5247.summary
index 91ed8db53..a13754f97 100644
--- a/pengine/test10/bug-cl-5247.summary
+++ b/pengine/test10/bug-cl-5247.summary
@@ -32,8 +32,8 @@ Executing cluster transition:
  * Pseudo action:   grpStonith2_stop_0
  * Resource action: prmStonith2-2   stop on bl460g8n3
  * Pseudo action:   msPostgresql_pre_notify_demote_0
- * Resource action: pgsr02          stop on bl460g8n4
- * Resource action: prmDB2          stop on bl460g8n4
+ * Resource action: pgsr01          monitor on bl460g8n4
+ * Resource action: pgsr02          monitor on bl460g8n3
  * Pseudo action:   grpStonith1_stopped_0
  * Pseudo action:   grpStonith1_start_0
  * Pseudo action:   grpStonith2_stopped_0
@@ -41,6 +41,8 @@ Executing cluster transition:
  * Resource action: pgsql           notify on pgsr01
  * Pseudo action:   msPostgresql_confirmed-pre_notify_demote_0
  * Pseudo action:   msPostgresql_demote_0
+ * Resource action: pgsr02          stop on bl460g8n4
+ * Resource action: prmDB2          stop on bl460g8n4
  * Pseudo action:   stonith-pgsr02-off on pgsr02
  * Pseudo action:   stonith_complete
  * Pseudo action:   pgsql_post_notify_stop_0
diff --git a/pengine/test10/guest-node-host-dies.dot b/pengine/test10/guest-node-host-dies.dot
index c1ced9411..1fdec7b6c 100644
--- a/pengine/test10/guest-node-host-dies.dot
+++ b/pengine/test10/guest-node-host-dies.dot
@@ -63,6 +63,15 @@ digraph "g" {
 "lxc-ms_stop_0 lxc2" -> "lxc-ms-master_stopped_0" [ style = bold]
 "lxc-ms_stop_0 lxc2" -> "lxc-ms_start_0 lxc2" [ style = bold]
 "lxc-ms_stop_0 lxc2" [ style=bold color="green" fontcolor="orange"]
+"lxc1_monitor_0 rhel7-3" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-3" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-3" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-4" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-4" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc1_monitor_0 rhel7-5" -> "lxc1_start_0 rhel7-2" [ style = bold]
+"lxc1_monitor_0 rhel7-5" -> "lxc1_stop_0 rhel7-1" [ style = bold]
+"lxc1_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc1_monitor_30000 rhel7-2" [ style=bold color="green" fontcolor="black"]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_promote_0 lxc1" [ style = bold]
 "lxc1_start_0 rhel7-2" -> "lxc-ms_start_0 lxc1" [ style = bold]
@@ -72,6 +81,15 @@ digraph "g" {
 "lxc1_stop_0 rhel7-1" -> "container1_stop_0 rhel7-1" [ style = bold]
 "lxc1_stop_0 rhel7-1" -> "lxc1_start_0 rhel7-2" [ style = bold]
 "lxc1_stop_0 rhel7-1" [ style=bold color="green" fontcolor="orange"]
+"lxc2_monitor_0 rhel7-2" -> "lxc2_start_0 rhel7-3" [ style = bold]
+"lxc2_monitor_0 rhel7-2" -> "lxc2_stop_0 rhel7-1" [ style = bold]
+"lxc2_monitor_0 rhel7-2" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-4" -> "lxc2_start_0 rhel7-3" [ style = bold]
+"lxc2_monitor_0 rhel7-4" -> "lxc2_stop_0 rhel7-1" [ style = bold]
+"lxc2_monitor_0 rhel7-4" [ style=bold color="green" fontcolor="black"]
+"lxc2_monitor_0 rhel7-5" -> "lxc2_start_0 rhel7-3" [ style = bold]
+"lxc2_monitor_0 rhel7-5" -> "lxc2_stop_0 rhel7-1" [ style = bold]
+"lxc2_monitor_0 rhel7-5" [ style=bold color="green" fontcolor="black"]
 "lxc2_monitor_30000 rhel7-3" [ style=bold color="green" fontcolor="black"]
 "lxc2_start_0 rhel7-3" -> "lxc-ms_monitor_10000 lxc2" [ style = bold]
 "lxc2_start_0 rhel7-3" -> "lxc-ms_start_0 lxc2" [ style = bold]
diff --git a/pengine/test10/guest-node-host-dies.exp b/pengine/test10/guest-node-host-dies.exp
index 2029b60ed..5f49eb1be 100644
--- a/pengine/test10/guest-node-host-dies.exp
+++ b/pengine/test10/guest-node-host-dies.exp
@@ -1,7 +1,7 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <rsc_op id="4" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5">
+      <rsc_op id="10" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5">
         <primitive id="Fencing" class="stonith" type="fence_xvm"/>
         <attributes CRM_meta_name="stop" CRM_meta_on_node="rhel7-4" CRM_meta_on_node_uuid="5" CRM_meta_timeout="60000"  delay="0" multicast_address="239.255.100.100" pcmk_arg_map="domain:uname" pcmk_host_list="rhel7-1 rhel7-2 rhel7-3 rhel7-4 rhel7-5"/>
       </rsc_op>
@@ -20,7 +20,7 @@
         <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped"/>
       </trigger>
       <trigger>
-        <rsc_op id="4" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5"/>
+        <rsc_op id="10" operation="stop" operation_key="Fencing_stop_0" on_node="rhel7-4" on_node_uuid="5"/>
       </trigger>
     </inputs>
   </synapse>
@@ -39,258 +39,258 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <rsc_op id="7" operation="monitor" operation_key="rsc_rhel7-1_monitor_5000" on_node="rhel7-5" on_node_uuid="3">
+      <rsc_op id="13" operation="monitor" operation_key="rsc_rhel7-1_monitor_5000" on_node="rhel7-5" on_node_uuid="3">
         <primitive id="rsc_rhel7-1" class="ocf" provider="heartbeat" type="IPaddr2"/>
         <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="6" operation="start" operation_key="rsc_rhel7-1_start_0" on_node="rhel7-5" on_node_uuid="3"/>
+        <rsc_op id="12" operation="start" operation_key="rsc_rhel7-1_start_0" on_node="rhel7-5" on_node_uuid="3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <rsc_op id="6" operation="start" operation_key="rsc_rhel7-1_start_0" on_node="rhel7-5" on_node_uuid="3">
+      <rsc_op id="12" operation="start" operation_key="rsc_rhel7-1_start_0" on_node="rhel7-5" on_node_uuid="3">
         <primitive id="rsc_rhel7-1" class="ocf" provider="heartbeat" type="IPaddr2"/>
         <attributes CRM_meta_on_node="rhel7-5" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.202"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="5" operation="stop" operation_key="rsc_rhel7-1_stop_0"/>
+        <pseudo_event id="11" operation="stop" operation_key="rsc_rhel7-1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="5" operation="stop" operation_key="rsc_rhel7-1_stop_0">
+      <pseudo_event id="11" operation="stop" operation_key="rsc_rhel7-1_stop_0">
         <attributes CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.202"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="36" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
+        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6">
     <action_set>
-      <rsc_op id="9" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2">
+      <rsc_op id="15" operation="start" operation_key="container1_start_0" on_node="rhel7-2" on_node_uuid="2">
         <primitive id="container1" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="rhel7-2" CRM_meta_on_node_uuid="2" CRM_meta_remote_node="lxc1" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="8" operation="stop" operation_key="container1_stop_0"/>
+        <pseudo_event id="14" operation="stop" operation_key="container1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="8" operation="stop" operation_key="container1_stop_0">
+      <pseudo_event id="14" operation="stop" operation_key="container1_stop_0">
         <attributes CRM_meta_remote_node="lxc1" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc1.xml"  force_stop="true" hypervisor="lxc:///"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="27" operation="stop" operation_key="lxc1_stop_0"/>
+        <pseudo_event id="33" operation="stop" operation_key="lxc1_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="36" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
+        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="8">
     <action_set>
-      <rsc_op id="11" operation="start" operation_key="container2_start_0" on_node="rhel7-3" on_node_uuid="4">
+      <rsc_op id="17" operation="start" operation_key="container2_start_0" on_node="rhel7-3" on_node_uuid="4">
         <primitive id="container2" class="ocf" provider="heartbeat" type="VirtualDomain"/>
         <attributes CRM_meta_on_node="rhel7-3" CRM_meta_on_node_uuid="4" CRM_meta_remote_node="lxc2" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc2.xml"  force_stop="true" hypervisor="lxc:///"/>
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="10" operation="stop" operation_key="container2_stop_0"/>
+        <pseudo_event id="16" operation="stop" operation_key="container2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="10" operation="stop" operation_key="container2_stop_0">
+      <pseudo_event id="16" operation="stop" operation_key="container2_stop_0">
         <attributes CRM_meta_remote_node="lxc2" CRM_meta_timeout="20000" config="/var/lib/pacemaker/cts/lxc/lxc2.xml"  force_stop="true" hypervisor="lxc:///"/>
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="30" operation="stop" operation_key="lxc2_stop_0"/>
+        <pseudo_event id="36" operation="stop" operation_key="lxc2_stop_0"/>
       </trigger>
       <trigger>
-        <crm_event id="36" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
+        <crm_event id="42" operation="stonith" operation_key="stonith-rhel7-1-reboot" on_node="rhel7-1" on_node_uuid="1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <rsc_op id="15" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
+      <rsc_op id="21" operation="promote" operation_key="lxc-ms_promote_0" internal_operation_key="lxc-ms:0_promote_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="18" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="14" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
+        <rsc_op id="20" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="23" operation="promote" operation_key="lxc-ms-master_promote_0"/>
+        <pseudo_event id="29" operation="promote" operation_key="lxc-ms-master_promote_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="28" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="34" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="11">
     <action_set>
-      <rsc_op id="14" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
+      <rsc_op id="20" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:0_start_0" on_node="lxc1" on_node_uuid="lxc1" router_node="rhel7-2">
         <primitive id="lxc-ms" long-id="lxc-ms:0" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc1" CRM_meta_on_node_uuid="lxc1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="13" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
+        <pseudo_event id="19" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="25" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="28" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
+        <rsc_op id="34" operation="start" operation_key="lxc1_start_0" on_node="rhel7-2" on_node_uuid="2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="12">
     <action_set>
-      <pseudo_event id="13" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0">
+      <pseudo_event id="19" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:0_stop_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="18" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="27" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="34" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="40" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="13">
     <action_set>
-      <pseudo_event id="12" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0">
+      <pseudo_event id="18" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0">
         <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="25" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="31" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="34" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
+        <pseudo_event id="40" operation="stonith" operation_key="stonith-lxc1-reboot" on_node="lxc1" on_node_uuid="lxc1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="14">
     <action_set>
-      <rsc_op id="18" operation="monitor" operation_key="lxc-ms_monitor_10000" internal_operation_key="lxc-ms:1_monitor_10000" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3">
+      <rsc_op id="24" operation="monitor" operation_key="lxc-ms_monitor_10000" internal_operation_key="lxc-ms:1_monitor_10000" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3">
         <primitive id="lxc-ms" long-id="lxc-ms:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="17" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3"/>
+        <rsc_op id="23" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3"/>
       </trigger>
       <trigger>
-        <rsc_op id="31" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="37" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="15">
     <action_set>
-      <rsc_op id="17" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3">
+      <rsc_op id="23" operation="start" operation_key="lxc-ms_start_0" internal_operation_key="lxc-ms:1_start_0" on_node="lxc2" on_node_uuid="lxc2" router_node="rhel7-3">
         <primitive id="lxc-ms" long-id="lxc-ms:1" class="ocf" provider="pacemaker" type="Stateful"/>
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_on_node="lxc2" CRM_meta_on_node_uuid="lxc2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="16" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
+        <pseudo_event id="22" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="start" operation_key="lxc-ms-master_start_0"/>
+        <pseudo_event id="25" operation="start" operation_key="lxc-ms-master_start_0"/>
       </trigger>
       <trigger>
-        <rsc_op id="31" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
+        <rsc_op id="37" operation="start" operation_key="lxc2_start_0" on_node="rhel7-3" on_node_uuid="4"/>
       </trigger>
       <trigger>
-        <pseudo_event id="33" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="39" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="16">
     <action_set>
-      <pseudo_event id="16" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0">
+      <pseudo_event id="22" operation="stop" operation_key="lxc-ms_stop_0" internal_operation_key="lxc-ms:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="21" operation="stop" operation_key="lxc-ms-master_stop_0"/>
+        <pseudo_event id="27" operation="stop" operation_key="lxc-ms-master_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="35" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
+        <pseudo_event id="41" operation="stonith" operation_key="stonith-lxc2-reboot" on_node="lxc2" on_node_uuid="lxc2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="17" priority="1000000">
     <action_set>
-      <pseudo_event id="26" operation="demoted" operation_key="lxc-ms-master_demoted_0">
+      <pseudo_event id="32" operation="demoted" operation_key="lxc-ms-master_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
+        <pseudo_event id="18" operation="demote" operation_key="lxc-ms_demote_0" internal_operation_key="lxc-ms:0_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="25" operation="demote" operation_key="lxc-ms-master_demote_0"/>
+        <pseudo_event id="31" operation="demote" operation_key="lxc-ms-master_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="18">
     <action_set>
-      <pseudo_event id="25" operation="demote" operation_key="lxc-ms-master_demote_0">
+      <pseudo_event id="31" operation="demote" operation_key="lxc-ms-master_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
